%global _empty_manifest_terminate_build 0
Name:		python-gunicorn
Version:	20.1.0
Release:	1
Summary:	WSGI HTTP Server for UNIX
License:	MIT
URL:		https://pypi.org/project/gunicorn
Source0:	https://files.pythonhosted.org/packages/28/5b/0d1f0296485a6af03366604142ea8f19f0833894db3512a40ed07b2a56dd/gunicorn-%{version}.tar.gz
BuildArch:	noarch

%description
Gunicorn(Green Unicorn) is a Python WSGI HTTP Server for UNIX. It's a pre-fork
worker model ported from Ruby's Unicorn_ project. The Gunicorn server is broadly
compatible with various web frameworks, simply implemented, light on server
resource usage, and fairly speedy.

%package -n python3-gunicorn
Summary:	WSGI HTTP Server for UNIX
Provides:	    python-gunicorn
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools

%description -n python3-gunicorn
Gunicorn(Green Unicorn) is a Python WSGI HTTP Server for UNIX. It's a pre-fork
worker model ported from Ruby's Unicorn_ project. The Gunicorn server is broadly
compatible with various web frameworks, simply implemented, light on server
resource usage, and fairly speedy.

%package help
Summary:	Development documents and examples for gunicorn
Provides:	python3-gunicorn-doc

%description help
Development documents and examples for gunicorn.

%prep
%autosetup -n gunicorn-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-gunicorn -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_pkgdocdir}

%changelog
* Thu Jun 23 2022 SimpleUpdate Robot <tc@openeuler.org> - 20.1.0-1
- Upgrade to version 20.1.0

* Fri Dec 18 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
